#include "mFirstView.h"

//------------- Const Char's -------------------------------------------------------------
const char* mTextViewText =				"Welcome to BWindowWizard\nThis wizard will guide you through the generation of a generic BeOS c++ window code";

//------------- Const BRect's ------------------------------------------------------------
const BRect mFirstViewFrame				(0, 0, 400, 400);
const BRect mNextButtonFrame			(330, 370, 390, 390);
const BRect mBackButtonFrame			(260, 370, 320, 390);
const BRect mCancelButtonFrame			(190, 370, 250, 390);

//------------- Const rgb_color's --------------------------------------------------------
const rgb_color mBack = 				(ui_color(B_PANEL_BACKGROUND_COLOR));
const rgb_color mBlue = 				{50, 102, 152, 111};
const rgb_color mBlack = 				{0, 0, 0, 255};
const rgb_color mWhite = 				{255, 255, 255, 255};

mFirstView::mFirstView(BRect frame, const char *name, uint32 resizeMask, uint32 flags)
					: BView(mFirstViewFrame, "mfirstview", B_FOLLOW_ALL, B_WILL_DRAW)
{
SetViewColor(mBack);
SetHighColor(mBlack);
SetLowColor(mBack);
SetDrawingMode(B_OP_OVER);

//We add our stuff
mNextButton = new BButton(mNextButtonFrame, "mNextButton", "Next",
										new BMessage(MSG_NEXTVIEW_1), B_FOLLOW_ALL);
mBackButton = new BButton(mBackButtonFrame, "mBackButton", "Back",
										new BMessage(MSG_PREVVIEW_1), B_FOLLOW_ALL);
mCancelButton = new BButton(mCancelButtonFrame, "mCancelButton", "Cancel",
										new BMessage(MSG_CANCEL), B_FOLLOW_ALL);
mBackButton->SetEnabled(false);

mTextView = new BTextView(BRect((Bounds().left + 10), (Bounds().top + 10),
								(Bounds().right - 10), (Bounds().bottom - 100)),
								 "", BRect((Bounds().left + 10), (Bounds().top + 10),
											(Bounds().right - 10), (Bounds().bottom - 100)),
								 			B_FOLLOW_ALL_SIDES, B_WILL_DRAW);
font = new BFont();
font->SetSize(14);
mTextView->SetStylable(true);
mTextView->SetFontAndColor(0, 10, font, B_FONT_ALL, NULL);
mTextView->MakeEditable(false);
mTextView->MakeSelectable(false);
mTextView->SetWordWrap(true);
mTextView->SetHighColor(mBlack);
mTextView->SetLowColor(mBlack);
mTextView->SetViewColor(mBack);
mTextView->SetFont(be_bold_font);
mTextView->ForceFontAliasing(true);
mTextView->SetDrawingMode(B_OP_COPY);
mTextView->SetText(mTextViewText);

AddChild(mTextView);
AddChild(mNextButton);
AddChild(mBackButton);
AddChild(mCancelButton);
}

//------------------------------------------------------------------------------------
mFirstView::~mFirstView()
{


}

//------------------------------------------------------------------------------------
void mFirstView::MessageReceived(BMessage* message)
{



}

//------------------------------------------------------------------------------------
void mFirstView::Draw(BRect updateRect)
{

}

