#include "mViewView.h"

//------------- Const Char's -------------------------------------------------------------

//------------- Const BRect's ------------------------------------------------------------
const BRect mViewViewFrame			(0, 0, 400, 400);
const BRect mNextButtonFrame			(330, 370, 390, 390);
const BRect mBackButtonFrame			(260, 370, 320, 390);
const BRect mCancelButtonFrame			(190, 370, 250, 390);
const BRect mBoxFrame					(5, 10, 250, 250);
const BRect mClassNameControlFrame		(10, 30, 240, 60);
const BRect mFileNameControlFrame		(10, 70, 210, 100);
const BRect mTextViewFrame				(212, 75, 240, 100);

//------------- Const rgb_color's --------------------------------------------------------
const rgb_color mBack = 				(ui_color(B_PANEL_BACKGROUND_COLOR));
const rgb_color mBlue = 				{50, 102, 152, 111};
const rgb_color mBlack = 				{0, 0, 0, 255};
const rgb_color mWhite = 				{255, 255, 255, 255};

mViewView::mViewView(BRect frame, const char *name, uint32 resizeMask, uint32 flags)
					: BView(mViewViewFrame, "mViewViewFrame", B_FOLLOW_ALL, B_WILL_DRAW)
{
SetViewColor(mBack);
SetHighColor(mBlack);
SetLowColor(mBlack);
SetDrawingMode(B_OP_COPY);

mBox = new BBox(mBoxFrame, "mBox");
mBox->SetLabel("Settings and names");
mClassNameControl = new BTextControl(mClassNameControlFrame, "mClassNameControl@windowview",
						"View Class-name", "MyView", new BMessage(MSG_TXTCTRL));
mFileNameControl = new BTextControl(mFileNameControlFrame, "mFileNameControl@windowview",
						"View class filename", "View", new BMessage(MSG_TXTCTRL));
mFileNameControl->SetDivider(115);
						
mTextView = new BTextView(mTextViewFrame, "mTextView", BRect(0, 0, 28, 30), B_FOLLOW_ALL);
mTextView->MakeEditable(false);
mTextView->SetViewColor(mBack);
mTextView->SetText(".cpp");

//We add our stuff
mNextButton = new BButton(mNextButtonFrame, "mNextButton", "Next",
										new BMessage(MSG_NEXTVIEW_5), B_FOLLOW_ALL);
mBackButton = new BButton(mBackButtonFrame, "mBackButton", "Back",
										new BMessage(MSG_PREVVIEW_5), B_FOLLOW_ALL);
mCancelButton = new BButton(mCancelButtonFrame, "mCancelButton", "Cancel",
										new BMessage(MSG_CANCEL), B_FOLLOW_ALL);
AddChild(mBox);
mBox->AddChild(mClassNameControl);
mBox->AddChild(mFileNameControl);
mBox->AddChild(mTextView);								
AddChild(mNextButton);
AddChild(mBackButton);
AddChild(mCancelButton);
}

//------------------------------------------------------------------------------------
mViewView::~mViewView()
{


}

//------------------------------------------------------------------------------------
void mViewView::MessageReceived(BMessage* message)
{



}

//------------------------------------------------------------------------------------
void mViewView::Draw(BRect updateRect)
{

}