#ifndef _mWindow_h_
#define _mWindow_h_

#include "mFirstView.h"
#include "mSelectView.h"
#include "mMainView.h"
#include "mWindowView.h"
#include "mViewView.h"
#include "mConstant.h"

class mWindow : public BWindow
{
public:	
							mWindow(const char* WindowTitle);
							~mWindow();
	virtual void 			MessageReceived(BMessage* message);		
	virtual bool 			QuitRequested();
	void					SetFolderOpened(const char* path);
	void					SetFinishOnCorrectButton();
	void					GenerateCode();
	void					GenStuff();
	void					GenApp();
	void					GenWin();
	void					GenView();
	void					GenMake();

private:
	BPath					path;
	BString					SaveString;
	BString					tmp;
	BString					tmp2;
	int						tmpint;
	FILE				*	file;
	
	mFirstView			*	mfirstview;
	mSelectView			*	mselectview;
	mMainView			*	mmainview;
	mWindowView			*	mwindowview;
	mViewView			*	mviewview;
};

#endif