#include "main.h"

int main(int32 argc, char** argv)
{
new mApp();
be_app->Run();
return(0);
}


//-----------------------------------------------------------------
mApp::mApp() 
		: BApplication(ApplicationSignature)
{

}

//-----------------------------------------------------------------
mApp::~mApp()
{

}

//-----------------------------------------------------------------
void mApp::ReadyToRun()
{
MainWindow = new mWindow("BWindowWizard");
	if (MainWindow != NULL)
	{
	MainWindow->Show();
	}
	else
	{
	be_app->PostMessage(B_QUIT_REQUESTED);
	}
}

//-----------------------------------------------------------------
void mApp::MessageReceived(BMessage *message)
{
	switch(message->what)
	{
	case MSG_OPEN:
	BFilePanel *mFilePanel = new BFilePanel(B_OPEN_PANEL, NULL, NULL, B_DIRECTORY_NODE,
					false, NULL , NULL, false, true); 
	mFilePanel->Window()->SetTitle("Select a folder");
	mFilePanel->Show();
	break;
	}
}

//-----------------------------------------------------------------
void mApp::RefsReceived(BMessage *message)
{
//Get Filepanelpath
	int32	count = 0;
	uint32	type = 0;
	message->GetInfo("refs", &type, &count);

	for (int32 i = 0; i < count; i++) 
	{
	entry_ref	ref;

		if (message->FindRef("refs", i, &ref) == B_NO_ERROR) 
		{
		BEntry entry(&ref);
			if (entry.InitCheck() == B_NO_ERROR) 
			{
			BPath path;
			entry.GetPath(&path);
			LockLooper();
			MainWindow->SetFolderOpened(path.Path());
			UnlockLooper();
			}
		}
	}
}

